# https://taskfile.dev

version: '3'

vars:
  API_URL: https://api.helloasso.com/v5/docs/swagger/V5

tasks:
  setup: 
    cmds:
      - go mod download
      - go install github.com/deepmap/oapi-codegen/cmd/oapi-codegen@latest
      - go install github.com/fatih/gomodifytags@latest
  update: 
    cmds:
      - rm -rf ./docs && mkdir -p ./docs
      - "curl -s https://converter.swagger.io/api/convert?url={{.API_URL}} -H 'Accept: application/yaml' -o ./docs/api-prod.yaml"
  regen:
    cmds:
      - oapi-codegen -generate="types,client,spec" -package autogen docs/api-prod.yaml > autogen/helloasso.gen.go
      - go mod tidy
      - gomodifytags -all -file ./autogen/helloasso.gen.go -add-tags bson -w > /dev/null